PDA

View Full Version : Req: Op Sys


DarkSkies
03-27-2002, 04:24 PM
I noticed on bestbuy.com they say it will work on NT4.
Has anyone tried it on NT4 yet?